function regress(vi,min,max)
% la fonction regress permet de tracer la droite de regression
% a partir de la phase du cisaillement déroule par phas
% on rentre la serie que l'on veut etudier (non deroulée !)
% on rentre aussi les bornes du tronçon que l'on veut etudier
[phase dec]=phas(vi(min:max),'g');
unite=ones(max-min+1,1);
abscisse=zeros(max-min+1,1);
for k=1:(max-min+1)
abscisse(k)=k+min-1;
end
A=[unite abscisse];
beta=A\phase;
fit=A*beta;
plot(fit,'r');
format long;
beta